### Method

# Ide Workspace get_cancellable

#### Declaration

    GCancellable*
    ide_workspace_get_cancellable (
      IdeWorkspace* self
    )

#### Description

Gets a cancellable for a window. This is useful when you want operations to be cancelled if a window is closed.

Available since: | 3.32

#### Return value

Returns: | `GCancellable`
| A `GCancellable`.
| The data is owned by the instance.